apiVersion: apps/v1
kind: StatefulSet
metadata:
  name: console
  namespace: console
  labels:
    enterprise.min.io/name: enterprise-console
spec:
  template:
    spec:
      containers:
        - name: console
          securityContext: {}
          args:
            - --tls-certificate
            - /.mmc/certs/public.crt
            - --tls-key
            - /.mmc/certs/private.key
          volumeMounts:
            - name: tls-certificates
              mountPath: /.mmc/certs
      volumes:
        - name: tls-certificates
          projected:
            defaultMode: 420
            sources:
              - secret:
                  name: enterprise-console-tls
                  items:
                    - key: tls.crt
                      path: public.crt
                    - key: tls.key
                      path: private.key
              - secret:
                  name: enterprise-console-hl-tls
                  items:
                    - key: tls.crt
                      path: hl-public.crt
                    - key: tls.key
                      path: hl-private.key
                  optional: true
              - configMap:
                  name: openshift-service-ca.crt
                  items:
                    - key: service-ca.crt
                      path: CAs/openshift-service-ca.crt
                  optional: true
              - secret:
                  name: openshift-csr-signer-ca
                  items:
                    - key: tls.crt
                      path: CAs/openshift-csr-signer-ca.crt
                  optional: true
